CMSIS-DSP: Globals

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages

- ARM_MATH_ARGUMENT_ERROR : arm_math_types.h
- ARM_MATH_DECOMPOSITION_FAILURE : arm_math_types.h
- ARM_MATH_LENGTH_ERROR : arm_math_types.h
- ARM_MATH_NANINF : arm_math_types.h
- ARM_MATH_SINGULAR : arm_math_types.h
- ARM_MATH_SIZE_MISMATCH : arm_math_types.h
- ARM_MATH_SUCCESS : arm_math_types.h
- ARM_MATH_TEST_FAILURE : arm_math_types.h
- ARM_ML_KERNEL_LINEAR : svm_defines.h
- ARM_ML_KERNEL_POLYNOMIAL : svm_defines.h
- ARM_ML_KERNEL_RBF : svm_defines.h
- ARM_ML_KERNEL_SIGMOID : svm_defines.h
- ARM_SORT_ASCENDING : support_functions.h
- ARM_SORT_BITONIC : support_functions.h
- ARM_SORT_BUBBLE : support_functions.h
- ARM_SORT_DESCENDING : support_functions.h
- ARM_SORT_HEAP : support_functions.h
- ARM_SORT_INSERTION : support_functions.h
- ARM_SORT_QUICK : support_functions.h
- ARM_SORT_SELECTION : support_functions.h
- ARM_SPLINE_NATURAL : interpolation_functions.h
- ARM_SPLINE_PARABOLIC_RUNOUT : interpolation_functions.h